Package com.sap.ai.sdk.orchestration.model

# Enum Class EncodingFormat

java.lang.Object
java.lang.Enum<EncodingFormat>
com.sap.ai.sdk.orchestration.model.EncodingFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<EncodingFormat>`, `Constable`

public enum EncodingFormat extends Enum<EncodingFormat>
Encoding format for embeddings.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASE64`
  `BINARY`
  `FLOAT`
  `INT8`
  `UBINARY`
  `UINT8`
  `UNKNOWN_DEFAULT_OPEN_API`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EncodingFormat`
  `fromValue(String value)`
  Converts the given value to its enum representation.
  `String`
  `getValue()`
  `String`
  `toString()`
  `static EncodingFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EncodingFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLOAT

    public static final EncodingFormat FLOAT

  - ### BASE64

    public static final EncodingFormat BASE64

  - ### BINARY

    public static final EncodingFormat BINARY

  - ### INT8

    public static final EncodingFormat INT8

  - ### UINT8

    public static final EncodingFormat UINT8

  - ### UBINARY

    public static final EncodingFormat UBINARY

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final EncodingFormat UNKNOWN_DEFAULT_OPEN_API

- ## Method Details

  - ### values

    public static EncodingFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EncodingFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns:
      The enum value.

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Enum<EncodingFormat>`
    Returns:
      The String representation of the enum value.

  - ### fromValue

    public static EncodingFormat fromValue(@Nonnull String value)
    Converts the given value to its enum representation.
    Parameters:
      `value` - The input value.
    Returns:
      The enum representation of the given value.